<?PHP
// vim: set expandtab tabstop=4 shiftwidth=4:
// +----------------------------------------------------------------------+
// | SAPID: XML Sapiens Engine Demonstrator                               |
// +----------------------------------------------------------------------+
// | Author:  Max Baryshnikov aka Mephius <mb@rg.by>	                  |
// | Copyright (c) 2004 Max Baryshnikov                                   |
// | http://sapid.sourceforge.net	                                      |
// +----------------------------------------------------------------------+
// | This source file is free software; you can redistribute it and/or    |
// | modify it under the terms of the GNU Lesser General Public           |
// | License as published by the Free Software Foundation; either         |
// | version 2.1 of the License, or (at your option) any later version.   |
// |                                                                      |
// | This source file is distributed in the hope that it will be useful,  |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of       |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    |
// | Lesser General Public License for more details.                      |
// +----------------------------------------------------------------------+
// Release: 08.09.04 (dd/mm/yy)
// $Id: debug.inc.php,v 1.1 2005/06/10 15:30:04 mephius Exp $

/**
* @return void
* @param array $code
* @desc Debug function
*/
define ("FATAL", E_USER_ERROR); 
define ("ERROR", E_USER_WARNING); 
define ("WARNING", E_USER_NOTICE); 



function ErrorHandler($errno, $errstr, $errfile, $errline)
{
	global $sapi_obj;
	//ob_end_clean();
	
	
	switch ($errno) {
		case FATAL:
		echo "<b>FATAL</b> [$errno] $errstr<br />\n";
		echo "  Fatal error in line $errline of file $errfile";
		echo ", PHP " . PHP_VERSION . " (" . PHP_OS . ")<br />\n";
		echo "Aborting...<br />\n";
		exit(1);
		break;
		case ERROR:
		echo "<b>ERROR</b> [$errno] $errstr<br />\n";
		break;
		case WARNING:
		echo "<b>WARNING</b> [$errno] $errstr<br />\n";
		break;
		case E_NOTICE:
		//echo "<b>NOTICE</b> [$errno] $errstr<br />\n";
		break;
		default:
		echo "Unkown error type: [$errno] $errstr - $errfile:$errline<br />\n";
		break;
	}
}

//set_error_handler("ErrorHandler");

function d($var=false)
{
	ob_end_clean();
	echo '<pre style="font-size: 10px;  color: Maroon; font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;">';
	print_r($var);
	echo '</pre>';
}


/**
* @return void
* @desc Page timeloading monitor
*/
function getmicrotime()
{
	list($usec, $sec) = explode(" ",microtime());
	return ((float)$usec + (float)$sec);
}


$env["time_start"]=getmicrotime();

?>